For the complete documentation index, see llms.txt. This page is also available as Markdown.

Enable subscriber

Enables a subscriber.

post

Enables the subscriber, allowing notifications to be sent to configured recipients.

Path parameters
idstringRequired

The Subscriber ID.

Body
notestring · nullableOptional
Responses
200

OK

application/json

Represents a subscription that defines which users or user groups should automatically receive notifications for a specific category.

idstringOptional
namestringOptional
revisioninteger · int32Optional
statusstring · nullableOptional

Gets or initializes the current status of the subscriber.

notestring · nullableOptional

Gets or initializes an optional note about this subscriber.

post/public/v1/notifications/subscribers/{id}/enable
POST /public/v1/notifications/subscribers/{id}/enable HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "note": "text"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "activated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "disabled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "deleted": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "status": "text",
  "note": "text",
  "recipients": {
    "users": [
      {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "invitationAcceptedAt": "2026-01-01T00:00:00.000Z"
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "icon": "text",
        "revision": 1,
        "email": "text",
        "status": "text",
        "phone": {
          "prefix": "text",
          "number": "text"
        },
        "firstName": "text",
        "lastName": "text",
        "lastLoginAt": "2026-01-01T00:00:00.000Z",
        "settings": {
          "cultureCode": "text",
          "dateFormat": "text",
          "languageCode": "text",
          "numberFormat": {
            "decimalSeparator": "text",
            "groupSeparator": "text"
          },
          "timeFormat": "text",
          "timeZone": "text",
          "optOuts": {
            "objectTypes": [
              "text"
            ]
          }
        },
        "accounts": [
          {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1,
            "type": "Client",
            "status": "Active"
          }
        ],
        "currentAccount": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        }
      }
    ],
    "userGroups": [
      {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "revision": 1,
        "description": "text",
        "account": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        },
        "modules": [
          {
            "id": "text",
            "name": "text",
            "revision": 1,
            "description": "text",
            "filters": {
              "group.buyers": [
                "text"
              ]
            },
            "settings": {
              "configurable": true,
              "default": true,
              "paid": true,
              "type": [
                "text"
              ],
              "obsolete": true,
              "eligibility": {
                "multi": true,
                "single": true
              }
            }
          }
        ],
        "logo": "text",
        "isDefault": true,
        "users": [
          {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        ],
        "extensions": [
          {
            "id": "text",
            "audit": {
              "created": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              },
              "updated": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              }
            },
            "$meta": {
              "omitted": [
                "text"
              ]
            },
            "name": "text",
            "icon": "text",
            "revision": 1,
            "status": "Draft"
          }
        ],
        "buyers": [
          {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        ]
      }
    ]
  },
  "account": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active",
    "externalIds": {
      "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
    },
    "externalId": "text",
    "externalName": "text",
    "address": {
      "addressLine1": "text",
      "addressLine2": "text",
      "postCode": "text",
      "city": "text",
      "state": "text",
      "country": "text"
    },
    "technicalSupportEmail": "text",
    "website": "text",
    "description": "text",
    "groups": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "logo": "text",
        "isDefault": true
      }
    ],
    "eligibility": {
      "client": true,
      "partner": true
    },
    "defaultLanguageCode": "text"
  },
  "category": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "published": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "unpublished": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "revision": 1,
    "description": "text",
    "optOutAllowed": true,
    "status": "text",
    "note": "text",
    "deleteAllowed": true,
    "statistics": {
      "month": 1,
      "today": 1,
      "week": 1
    },
    "lastUsed": "2026-01-01T00:00:00.000Z",
    "enabledByDefault": true
  }
}

Last updated

Was this helpful?